Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.instance
Interface Instance

All Known Subinterfaces:
  InstanceCustomization, InstanceDefinition

All Known Implementing Classes:
  AbstractInstance, AbstractInstanceCustomization, AbstractInstanceDefinition

    public interface Instance

A shared portlet instance.

Version:
  $Revision: 9574 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `INSTANCE_ID_ATTRIBUTE` The attribute name under which the instance id can be accessed.

Method Summary
`void` | `destroyCustomization(java.lang.String customizationId)` Destroy the customization
`InstanceContainer` | `getContainer()` Return the container of this object.
`InstanceCustomization` | `getCustomization(java.lang.String customizationId)` Return a customization of this instance related to the provided customization id.
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Return the display name
`java.lang.String` | `getId()` Return the id.
`org.jboss.portal.portlet.Portlet` | `getPortlet()` Return the runtime metadata for this portlet.
`org.jboss.portal.portlet.state.PropertyMap` | `getProperties()` Return the instance preferences.
`org.jboss.portal.portlet.state.PropertyMap` | `getProperties(java.util.Set keys)` Return the instance preferences.
`org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)` Invoke the instance
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString localizedString)` Set the display name
`void` | `setProperties(org.jboss.portal.portlet.state.PropertyChange[] changes)` Update the prefs of this instance.

Field Detail

### INSTANCE_ID_ATTRIBUTE

    static final java.lang.String INSTANCE_ID_ATTRIBUTE

  The attribute name under which the instance id can be accessed.

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Return the id.

  Returns:
    the id

### getDisplayName

    org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Return the display name

  Returns:
    the display name

### setDisplayName

    void setDisplayName(org.jboss.portal.common.i18n.LocalizedString localizedString)

  Set the display name

  Parameters:
    `localizedString` -

### getPortlet

    org.jboss.portal.portlet.Portlet getPortlet()
                                                throws org.jboss.portal.portlet.PortletInvokerException

  Return the runtime metadata for this portlet.

  Returns:
    the info
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getContainer

    InstanceContainer getContainer()

  Return the container of this object.

  Returns:
    the instance container

### invoke

    org.jboss.portal.portlet.invocation.response.PortletInvocationResponse invoke(org.jboss.portal.portlet.invocation.PortletInvocation invocation)
                                                                                  throws org.jboss.portal.portlet.PortletInvokerException

  Invoke the instance

  Parameters:
    `invocation` - the invocation
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getProperties

    org.jboss.portal.portlet.state.PropertyMap getProperties()
                                                             throws org.jboss.portal.portlet.PortletInvokerException

  Return the instance preferences.

  Returns:
    the prefs
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getProperties

    org.jboss.portal.portlet.state.PropertyMap getProperties(java.util.Set keys)
                                                             throws org.jboss.portal.portlet.PortletInvokerException

  Return the instance preferences.

  Returns:
    the prefs
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### setProperties

    void setProperties(org.jboss.portal.portlet.state.PropertyChange[] changes)
                       throws org.jboss.portal.portlet.PortletInvokerException

  Update the prefs of this instance.

  Parameters:
    `changes` - the changes
  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getCustomization

    InstanceCustomization getCustomization(java.lang.String customizationId)

  Return a customization of this instance related to the provided customization id.

  Returns:
    an instance customization

### destroyCustomization

    void destroyCustomization(java.lang.String customizationId)

  Destroy the customization

  Parameters:
    `customizationId` - the id of the customization to destroy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD